Bug 829765 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/stormwatch_40espiga4_2ecom_2ear at 0x181d450>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:7987b387bc2be8d380faf516335...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 09:59 EDT by Ezequiel Birman
Modified: 2013-02-13 06:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 06:23:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: log (5.43 KB, text/plain)
2012-06-07 09:59 EDT, Ezequiel Birman
no flags Details

  None (edit)
Description Ezequiel Birman 2012-06-07 09:59:18 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.3.7-1.fc16.x86_64
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/stormwatch_40espiga4_2ecom_2ear at 0x181d450>
time:           jue 07 jun 2012 10:50:57 ART
uid:            1000
username:       ebirman

log:            Text file, 5561 bytes

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/stormwatch_40espiga4_2ecom_2ear at 0x181d450>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/stormwatch_40espiga4_2ecom_2ear at 0x181d450>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x180ffd0>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/stormwatch_40espiga4_2ecom_2ear at 0x181d450>

comment:
:While using empathy.
:
:When connected i could see MSN contacts but i could not chat  with them (everything greyed out)

smolt_data:
:
:
:General
:=================================
:UUID: 089c9469-9043-4173-a56a-6b321b65311f
:SO: Fedora release 16 (Verne)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_AR.utf8
:Plataforma: x86_64
:BogoMIPS: 3215.26
:Fabricante de CPU: GenuineIntel
:Modelo de CPU: Intel(R) Pentium(R) Dual  CPU  E2140  @ 1.60GHz
:Paso del UCP: 13
:Familia de UCP: 6
:Número de Modelo de CPU: 15
:Número de CPUs: 2
:Velocidad del CPU: 1600
:Memoria del Sistema: 931
:Intercambio (swap) del Sistema: 3999
:Vendedor: Gigabyte Technology Co., Ltd.
:Sistema: GA-VM900M 
:Factor de forma: Desktop
:Kernel: 3.3.7-1.fc16.x86_64
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(4358:13170:4358:13170) pci, None, PCI/ISA, VT8237S PCI to ISA Bridge
:(4358:12548:4358:12548) pci, ehci_hcd, USB, USB 2.0
:(4358:12344:5208:20484) pci, uhci_hcd, USB, GA-7VAX Mainboard
:(4358:12344:5208:20484) pci, uhci_hcd, USB, GA-7VAX Mainboard
:(4358:12344:5208:20484) pci, uhci_hcd, USB, GA-7VAX Mainboard
:(4358:10366:4358:13182) pci, None, HOST/PCI, VT8251 Ultra VLINK Controller
:(4358:9060:0:0) pci, None, HOST/PCI, CN896/VN896/P4M900 Host Bridge
:(4358:13156:0:0) pci, None, HOST/PCI, CN896/VN896/P4M900 Host Bridge
:(4358:868:5208:20480) pci, agpgart-via, HOST/PCI, CN896/VN896/P4M900 Host Bridge
:(4358:4964:0:0) pci, None, HOST/PCI, CN896/VN896/P4M900 Host Bridge
:(4358:25444:0:0) pci, None, HOST/PCI, CN896/VN896/P4M900 Security Device
:(4358:29540:0:0) pci, None, HOST/PCI, CN896/VN896/P4M900 Host Bridge
:(4358:17252:0:0) pci, None, HOST/PCI, CN896/VN896/P4M900 Host Bridge
:(4358:45464:0:0) pci, None, PCI/PCI, VT8237/VX700 PCI Bridge
:(4358:13178:4358:13178) pci, None, PCI/PCI, VT8237A PCI to PCI Bridge
:(4358:21348:0:0) pci, None, BASE, CN896/VN896/P4M900 I/O APIC Interrupt Controller
:(4358:12936:5208:40964) pci, snd_hda_intel, MULTIMEDIA, VT1708/A [Azalia HDAC] (VIA High Definition Audio Controller)
:(4358:41828:4358:49955) pci, pcieport, PCI/PCI, CN896/VN896/P4M900 PCI to PCI Bridge Controller
:(4358:50020:4358:49955) pci, pcieport, PCI/PCI, CN896/VN896/P4M900 PCI to PCI Bridge Controller
:(5772:19:4486:14867) pci, ath5k, ETHERNET, AirPlus DWL-G520 Wireless PCI Adapter (rev. B)
:(4358:13169:5208:53248) pci, None, VIDEO, CN896/VN896/P4M900 [Chrome 9 HC]
:(4358:13179:0:0) pci, None, HOST/PCI, VT8237A Host Bridge
:(4358:12344:5208:20484) pci, uhci_hcd, USB, GA-7VAX Mainboard
:(4358:12389:5208:57344) pci, via-rhine, ETHERNET, VT6102 [Rhine-II]
:(4358:29554:5208:45059) pci, sata_via, RAID, N/A
:(4358:1393:5208:20482) pci, pata_via, STORAGE, GA-7VAX Mainboard
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 38008712 32184461 31804130 9519104 9276121 9276121
:
Comment 1 Ezequiel Birman 2012-06-07 09:59:24 EDT
Created attachment 590208 [details]
File: log
Comment 2 Fedora End Of Life 2013-01-16 06:49:44 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 06:23:07 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.